*** Stata label pre-processing
* Author: Pablo Diego-Rosell, PhD
* Email: "pablo_diego_rosell@yahoo.com"

cd "C:\QC\ECE_working_NOPII_Version"
use "ECE_working_NOPII_Version", clear
label save using mylabels.do, replace

label define _merge .e "", modify
label define dpto .e "", modify
label define tipo .e "", modify

recode tipo dpto _merge _m2 _m3 _m4 (".e"= -99999) (".o"= -99996) (".n"= -99997)

label define _merge -99999 `"Missing-MINEDU"', modify
label define dpto -99999 `"Missing-MINEDU"', modify
label define tipo -99999 `"Missing-MINEDU"', modify

save "ECE_working_NOPII_Version", replace

*import spss "ECE_working_NOPII_Version_PU", clear


